

package gov.va.med.cds.mediator.persistence;


public class Hl7MessageLog
{
    String messageControlId;
    String messageType;
    String messageDateTime;
    String message;
    String additionalInfo;


    public Hl7MessageLog( String additionalInfo, String message, String messageControlId, String messageDateTime, String messageType )
    {
        this.additionalInfo = additionalInfo;
        this.message = message;
        this.messageControlId = messageControlId;
        this.messageDateTime = messageDateTime;
        this.messageType = messageType;
    }


    public String getMessageControlId( )
    {
        return messageControlId;
    }


    public void setMessageControlId( String messageControlId )
    {
        this.messageControlId = messageControlId;
    }


    public String getMessageType( )
    {
        return messageType;
    }


    public void setMessageType( String messageType )
    {
        this.messageType = messageType;
    }


    public String getMessageDateTime( )
    {
        return messageDateTime;
    }


    public void setMessageDateTime( String messageDateTime )
    {
        this.messageDateTime = messageDateTime;
    }


    public String getMessage( )
    {
        return message;
    }


    public void setMessage( String message )
    {
        this.message = message;
    }


    public String getAdditionalInfo( )
    {
        return additionalInfo;
    }


    public void setAdditionalInfo( String additionalInfo )
    {
        this.additionalInfo = additionalInfo;
    }
}
